---
search:
  tags:
    - OAuth applications
    - GET
seo:
  description: >-
    Requires being a member. Revoked applications are listed with… Reference for
    the GET /organizations/{organizationId}/oauth-clients endpoint in the Auth
    API.
sidebar:
  label: List OAuth applications
  badge: GET
title: List OAuth applications
type: openapi-operation
---
Requires being a member. Revoked applications are listed with `revoked_at`.

`GET /organizations/{organizationId}/oauth-clients`

**Responses**

- `200` — The clients, oldest first.
- `default` — The request failed.

Response example, 200:

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "client_id": "string",
    "name": "string",
    "scopes": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "keys": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "kid": "string",
        "jwk": {},
        "created_at": "2019-08-24T14:15:22Z",
        "revoked_at": "2019-08-24T14:15:22Z"
      }
    ],
    "secrets": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "secret": "string",
        "hint": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "expires_at": "2019-08-24T14:15:22Z",
        "revoked_at": "2019-08-24T14:15:22Z"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "revoked_at": "2019-08-24T14:15:22Z"
  }
]
```
